Bug 130124 - Feature Request: pptp
Feature Request: pptp
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-08-17 07:24 EDT by Thomas Antony
Modified: 2014-03-16 22:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-04 16:55:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Antony 2004-08-17 07:24:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)

Description of problem:
Some ISP's uses the pptp protocol to establish a VPN tunnel for their
DSL. A pptp package is missing in the Fedora distribution and those
users can't get online.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Format your harddrive and forget to save the pptp rpm on a disk.

Additional info:

Comment 1 Thomas Woerner 2004-08-31 06:38:33 EDT
I am sorry, but there is no pptp support in the kernel. Closing as
Comment 2 Thomas Antony 2004-08-31 15:02:11 EDT
What do you mean with "there is no pptp support in the kernel"?
I agree with you if you mean mppe support in the kernel, but this is
not needed for this ISP's because they use CHAP or PAP for
authentication. For example the mppe support is needed if you want to
connnect to a windows server where only the 128bit encryption is
available and therefore you must patch the kernel. A good howto for
Fedora Core 2 is
and here http://pptpclient.sourceforge.net/#download are already to
use rpm's.
So everything what have to be done is to add the pptp client package
to the core of fedora. It is really annoying and frustrating if you
install Fedora and can't get online because you must download pptp
from the internet!
Comment 3 Thomas Woerner 2004-09-09 10:43:59 EDT
Ok, assigning to distribution as feature request.
Comment 4 Thomas Antony 2005-04-23 16:20:00 EDT
FC4 is not really far away and there is still no pptp-client rpm in FC4-test2.
What happened till now?
Comment 5 Bill Nottingham 2005-04-25 12:33:39 EDT
Nothing has happened on this so far.
Comment 6 David L. 2005-05-22 11:36:40 EDT
I need a VPN client to connect to my company's Microsoft VPN server.  I've had
some success using the pptp client at http://pptpclient.sourceforge.net/.  But
the procedure to add it is a six step process that includes adding DKMS (Dynamic
Kernel Module Support), a PPP MPPE DKMS RPM, a PPTP client and some
configuration and GUI stuff.  It would be great if this stuff was just part of
the FC* releases!  Comment #1 said "there is no PPTP support in the kernel". 
Why can't it be added using the same procedure as in
http://pptpclient.sourceforge.net/howto-fedora-core-3.phtml?  Some VPN users
don't need MPPE, but I do, and there seems to be a way to get it to work.  Is
there some legal issue that prevents redhat from providing this support in the
Comment 7 Martin Goodrich 2005-06-20 10:04:13 EDT
Following on from 'Comment #6'. I have just upgraded to FC4 and have found that
I can't use the wonderful pptp/pptconfig to connect to the Microsoft VPN of my
client. Are ther plans to release a new kernel that supports MPPE?

If the answer is no then I will have to boot my machine in Microsnot-XP mode and
connect that way, which as a disciple of Linux/Fedora I really don't want to do.

I have to say, I'm not sure why MPPE was a part of the FC3 release and not the
FC4 release.

For the record I'm running the 2.6.11-1.1369_FC4 kernel.
Comment 8 Thomas Antony 2005-09-15 05:22:44 EDT
(In reply to comment #5)
> Nothing has happened on this so far.

There is now a pptp and a dkms rpm in Fedora Extras. This is great, but still
not useful if it will not be included in Fedora Core, because you still can't
access the internet and Fedora Extras when you make a fresh install of FC.
Please include the packages in FC5 Core!
Comment 9 Bill Nottingham 2005-10-04 16:55:04 EDT
Extras can be made into CDs, and we're working on ways to make Extras packages
available for install.  In the meantime, this won't be added to Core in the near

Note You need to log in before you can comment on or make changes to this bug.